Bug 97887 - beecrypt building on hp-ux 11.00
beecrypt building on hp-ux 11.00
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
parisc11 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-06-23 14:00 EDT by Dano Carroll
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-25 10:51:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
beecrypt entropy.c patch (896 bytes, patch)
2003-06-23 14:02 EDT, Dano Carroll
no flags Details | Diff

  None (edit)
Description Dano Carroll 2003-06-23 14:00:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; HP-UX 9000/778; en-US; rv:1.0.1) Gecko/20020827

Description of problem:
When I try to build the beecrypt component of rpm, I get the following error. 

/bin/sh ./libtool --mode=compile /usr/local/bin/gcc -DHAVE_CONFIG_H -I. -I. -I.
O3 -g -I -I/hp-ux -c -o entropy.lo `test -f 'entropy.c' || echo './'`entropy.c
rm -f .libs/entropy.lo
/usr/local/bin/gcc -DHAVE_CONFIG_H -I. -I. -I. -O3 -g -I -I/hp-ux -c entropy.c 
 -DPIC -o .libs/entropy.lo
entropy.c:912: error: parse error before "dev_tty_lock"
entropy.c:912: error: `DEFAULTMUTEX' undeclared here (not in a function)
entropy.c:912: warning: data definition has no type or storage class

I found that within the code for entropy.c, there are several lines like the

#if defined(_REENTRANT) && !defined(hpux)

Now, I'm pretty sure that I have flicked the safety off in preparation for
shooting myself in the foot later, but I patched entropy.c to replace the
!defined(hpux) with defined(hpux), which causes beecrypt to build. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Untar the rpm-4.1.tar.gz package
2. Patch to get popt to compile (I haven't entered that bug yet)
3. Patch to remove beecrypt warning message (see Bug 97662)
4. ./configure --prefix=/usr/local --without-python (I don't think the options

Actual Results:  The error message noted above.

Additional info:
Comment 1 Dano Carroll 2003-06-23 14:02:23 EDT
Created attachment 92563 [details]
beecrypt entropy.c patch
Comment 2 Dano Carroll 2003-06-23 17:03:55 EDT
The patch for the popt bug is in bug number 97907.
Comment 3 Jeff Johnson 2003-06-25 10:51:56 EDT
Patch sent upstream, might be in beecrypt-3.0.1 soonish.

Meanwhile, beecrypt is moving out of rpm, external linkage instead.

Note You need to log in before you can comment on or make changes to this bug.